--można uruchomić w programie osql przy pomocy polecenia:
--:r nazwapliku.sql
--go

CREATE PROCEDURE MojaProcedura @param VARCHAR(30) 
AS
BEGIN TRANSACTION
INSERT INTO MojaTabela(Kolumna) VALUES (@param)
IF @@error <> 0
BEGIN
    ROLLBACK TRANSACTION
    RETURN
END;
COMMIT TRANSACTION;